# Uses of Class
org.apache.sling.testing.mock.sling.servlet.MockHttpSession

Packages that use MockHttpSession
Package
Description
org.apache.sling.testing.mock.sling.servlet
Mock implementation of selected Servlet-related Sling APIs.

## Uses of MockHttpSession in org.apache.sling.testing.mock.sling.servlet

Methods in org.apache.sling.testing.mock.sling.servlet that return MockHttpSession
Modifier and Type
Method
Description
`protected @NotNull MockHttpSession`
MockSlingHttpServletRequest.`newMockHttpSession()`
Deprecated.